|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QtIcoHandler Class Reference

The QtIcoHandler class provides support for the ICO image format. More...

     #include <QtIcoHandler>

Inherits QImageIOHandler.

- List of all members, including inherited members

### Public Functions

- QtIcoHandler ( QIODevice * device )
- virtual ~QtIcoHandler ()
- virtual bool canRead () const
- virtual QByteArray name () const

- 18 public functions inherited from QImageIOHandler

### Static Public Members

- bool canRead ( QIODevice * device )

## Detailed Description

The QtIcoHandler class provides support for the ICO image format.

## Member Function Documentation

### QtIcoHandler::QtIcoHandler ( QIODevice * device )

Constructs an instance of QtIcoHandler initialized to use device.

### QtIcoHandler::~QtIcoHandler () `[virtual]`

Destructor for QtIcoHandler.

### bool QtIcoHandler::canRead () const `[virtual]`

Verifies if some values (magic bytes) are set as expected in the header of the file. If the magic bytes were found, it is assumed that the QtIcoHandler can read the file.

Reimplemented from QImageIOHandler.

### bool QtIcoHandler::canRead ( QIODevice * device ) `[static]`

This is an overloaded member function, provided for convenience.

This static function is used by the plugin code, and is provided for convenience only. device must be an opened device with pointing to the start of the header data of the ICO file.

### QByteArray QtIcoHandler::name () const `[virtual]`

Return the common identifier of the format. For ICO format this will return "ico".

Reimplemented from QImageIOHandler.